> ## Documentation Index
> Fetch the complete documentation index at: https://paragraph.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get coin quote by ID

> Retrieve a quote for the amount of coin in exchange of ETH



## OpenAPI

````yaml /paragraph-api/openapi.json get /v1/coins/quote/{id}
openapi: 3.1.0
info:
  title: Paragraph API
  version: 1.0.0
  description: >-
    Public API for interacting with Paragraph publications, posts, users, and
    coined writing.


    ## Rate Limiting

    API requests are rate-limited to ensure fair usage. Contact
    support@paragraph.com for higher limits.


    ## Pagination

    List endpoints support cursor-based pagination using `cursor` and `limit`
    parameters.
  contact:
    name: Paragraph Support
    email: support@paragraph.com
    url: https://paragraph.com/support
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://public.api.paragraph.com/api
    description: Production server
security:
  - {}
tags:
  - name: publications
    description: Operations related to publications
  - name: posts
    description: Operations related to posts and content
  - name: users
    description: Operations related to users and authors
  - name: coins
    description: Operations related to tokenized content
  - name: subscribers
    description: Operations related to subscriber management (requires API key)
paths:
  /v1/coins/quote/{id}:
    get:
      tags:
        - coins
      summary: Get coin quote by ID
      description: Retrieve a quote for the amount of coin in exchange of ETH
      operationId: getQuoteById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Paragraph-internal unique identifier for the coin
        - name: amount
          in: query
          description: Amount of Base ETH in wei that is going to be swapped for the coin
          required: true
          schema:
            type: string
            pattern: '[0-9]+'
      responses:
        '200':
          description: Coin quote retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  quote:
                    type: string
                    description: >-
                      Approximate number of coins that could be received in
                      exchange of the amount of ETH entered
                required:
                  - quote
        '404':
          description: Coin quote not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses
                  msg:
                    type: string
                    description: Human-readable error message
                required:
                  - success
                  - msg
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses
                  msg:
                    type: string
                    description: Human-readable error message
                required:
                  - success
                  - msg
      x-codeSamples:
        - lang: typescript
          label: Get coin quote by ID
          source: >-
            import { ParagraphAPI } from "@paragraph-com/sdk"


            const api = new ParagraphAPI()

            const quote = await api.coins.getQuote({ id: "S2AlaNG5Hw0NdNptmLTw",
            amount: "1000000000000000000" })

````